// -*- c++ -*-

#ifndef KASBAREXTENSION_H
#define KASBAREXTENSION_H

#include <kpanelextension.h>

class KasBar;

/**
 * @version $Id: kasbarextension.h,v 1.3 2000/12/17 11:53:47 elter Exp $
 */
class KasBarExtension : public KPanelExtension
{
    Q_OBJECT

public:
    KasBarExtension( const QString& configFile,
                     Type t = Normal,
                     int actions = 0,
                     QWidget *parent = 0, const char *name = 0 );

    virtual ~KasBarExtension();

    QSize sizeHint( Position, QSize maxSize ) const;
    Position preferedPosition() const { return Right; }

    virtual void positionChange( Position position );

protected:
    void resizeEvent( QResizeEvent * );
    void about();
    void help();
    void preferences();

private:
    KasBar* kasbar;
};

#endif // KASBAREXTENSION_H

